<?php
class x_w { 
var $x_iv = 'text/html; charset=utf-8'; 
var $x_3d = ''; 
var $x_a = Array(); 
var $x_b = Array(); 
var $x_x = ''; 
var $x_iw = ''; 
var $x_31 = ''; 
var $x_ix = Array(); 
var $x_1o = ''; 
var $x_iy = Array(); 
var $x_iz = '/nonauth/gfx/favicon.ico'; 
var $x_j0 = ''; 
function x_w($x_3d = '', $x_31 = '') { 
if (isset($x_3d) && strlen(trim($x_3d)) != 0) 
$this->x_3d = $x_3d; 
else 
$this->x_3d = 'Kerio'; 
if (isset($x_31) && strlen(trim($x_31)) != 0) { 
$this->x_31 = ' ' . $x_31; 
} 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_j1 = Array(); 
$x_7x->getProductInfo(&$x_j1); 
$this->x_j0 = $x_j1['versionString']; 
if ('' == $this->x_j0 || strpos(strtolower($this->x_j0), '/mb') !== false) { 
$this->x_j0 = Date('HisdmY'); 
} 
$this->x_j0 = md5($this->x_j0); 
} 
function x_j2($x_3d = '') { 
$this->x_3d = $x_3d; 
} 
function x_a($x_j3 = Array(), $x_j4 = 0) { 
foreach ($x_j3 as $x_j5) { 
if (0 == $x_j4) { 
array_push($this->x_a, $x_j5); 
} else { 
$this->x_ix[] = join ('', file($x_j5)); 
} 
} 
} 
function x_b($x_j3 = Array()) { 
foreach ($x_j3 as $x_j5) { 
array_push($this->x_b, $x_j5); 
} 
} 
function x_x($x_j6) { 
$this->x_x .= $x_j6; 
} 
function x_iw($x_55) { 
$this->x_iw .= $x_55 . "\n"; 
} 
function x_1o($x_j7, $x_84 = 'a') { 
switch ($x_84) { 
case 'w': $this->x_1o = $x_j7; break; 
default: $this->x_1o .= $x_j7; break; 
} 
} 
function x_j8($x_gc = 0, $x_1m = '', $x_ec = '', $x_ga = '', $x_j9 = 'no') { 
$x_ja = Array( 'height' => $x_gc, 
'id' => $x_1m, 
'name' => $x_ec, 
'src' => $x_ga, 
'scrolling' => $x_j9 
); 
array_push($this->x_iy, $x_ja); 
} 
function x_y() { 
$x_1w = $this->x_3g(); 
$x_1w .= '<body'. $this->x_31 .'>'. "\n\n"; 
$x_1w .= $this->x_1o . "\n"; 
$x_1w .= $this->x_3i(); 
echo $x_1w; 
} 
function x_3g() { 
$x_1w = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'. "\n" . 
'<html>'. "\n" . 
'<head>'. "\n"; 
$x_1w .= '	<meta http-equiv="Content-Type" content="' . $this->x_iv . '">'. "\n" . 
(!empty($this->x_iz) ? '<link rel="shortcut icon" type="text/x-icon" href="' . $this->x_iz . '?v=' . $this->x_j0 . '">' : '') . "\n" . 
$this->x_iw . 
'	<title>' . $this->x_3d . ' - Kerio WinRoute Firewall</title>'. "\n"; 
foreach ($this->x_a as $x_j5) { 
$x_1w .= sprintf('	<link  href="%s?v=' . $this->x_j0 . '" rel="stylesheet" type="text/css">' . "\n",$x_j5); 
} 
foreach ($this->x_b as $x_j5) { 
$x_1w .= sprintf('	<script src="%s?v=' . $this->x_j0 . '" type="text/javascript"></script>' . "\n",$x_j5); 
} 
if (strlen(trim($this->x_x)) != 0) { 
$x_1w .= '	<script type="text/javascript">' . "\n" . $this->x_x . "\n" . '	</script>' . "\n"; 
} 
if (!empty($this->x_ix)) { 
$x_1w .= '<style type="text/css">' . join('', $this->x_ix) . '</style>'; 
} 
$x_1w .= '</head>' . "\n"; 
return $x_1w; 
} 
function x_3i() { 
$x_1w = "\n" . '</body>' . "\n" . '</html>'; 
return $x_1w; 
} 
function x_jb() { 
$x_1w = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">'. "\n" . 
'<html>'. "\n" . 
'<head>'. "\n" . 
'	<meta http-equiv="Content-Type" content="' . $this->x_iv . '">'. "\n" . 
(!empty($this->x_iz) ? '<link rel="shortcut icon" type="text/x-icon" href="' . $this->x_iz . '">' : '') . "\n" . 
'	<title>' . $this->x_3d . '</title>'. "\n"; 
if (strlen(trim($this->x_x)) != 0) 
$x_1w .= '	<script type="text/javascript">' . "\n" . $this->x_x . "\n" . '	</script>' . "\n"; 
$x_1w .= '</head>' . "\n"; 
if (count($this->x_iy) != 0) { 
foreach ($this->x_iy as $x_ja) 
$x_jc[] = $x_ja['height']; 
$x_jd = implode(', ', $x_jc); 
$x_je = '<frameset rows="' . $x_jd . '" framespacing="0" frameborder="0">' . "\n"; 
foreach ($this->x_iy as $x_ja) 
$x_je .= sprintf('	<frame id="' . $x_ja['id'] . '" name="' . $x_ja['name'] . '" src="' . $x_ja['src'] . '" marginwidth="0" marginheight="0" scrolling="no" frameborder="' . $x_ja['scrolling'] . '">' . "\n", $x_ja); 
$x_je .= '</frameset>' . "\n"; 
} 
$x_1w .= $x_je . "\n"; 
$x_1w .= '</html>'; 
return $x_1w; 
} 
} 
?>
